f



[ace-users] Build errors while making ACE 5.4.4 on Solaris 8

    ACE VERSION: 5.4.4

    HOST MACHINE and OPERATING SYSTEM:
        Sun Netra T1 and Solaris 8

    TARGET MACHINE and OPERATING SYSTEM, if different from HOST:
    COMPILER NAME AND VERSION (AND PATCHLEVEL): g++  2.95.3 20010315

    CONTENTS OF $ACE_ROOT/ace/config.h: see attached

    CONTENTS OF $ACE_ROOT/include/makeinclude/platform_macros.: Not Present

    CONTENTS OF $ACE_ROOT/	/default.features
    (used by MPC when you generate your own makefiles):see attached

    AREA/CLASS/EXAMPLE AFFECTED: Dev_Poll_Reactor.cpp


    DOES THE PROBLEM AFFECT:
        COMPILATION? ACE does not build
        LINKING?
        EXECUTION?
        OTHER (please specify)?

    SYNOPSIS:
	Trying to build ACE 5.4.4 for Solaris 8 with --enable-ipv4-ipv6 --enable-ipv6

    DESCRIPTION:
	Want to build ACE with IPv6 support. "./configure --enable-ipv4-ipv6 --enable-ipv6" worked fine. But getting errors while doing "make"
..
..
..
..
make[3]: Entering directory `/usr/ACE_5.4.4/ACE_wrappers/build/ace'
source='Dev_Poll_Reactor.cpp' object='libACE_la-Dev_Poll_Reactor.lo' libtool=yes \
DEPDIR=.deps depmode=gcc /bin/bash ../../aux_config/depcomp \
/bin/bash ../libtool --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I../../ace -I.  -I../.. -I.. -DACE_HAS_ACE_TOKEN -DACE_HAS_ACE_SVCCONF -DACE_BUILD_DLL   -W -Wall -Wpointer-arith  -g -O2 -pthreads -pipe  -c -o libACE_la-Dev_Poll_Reactor.lo `test -f 'Dev_Poll_Reactor.cpp' || echo '../../ace/'`Dev_Poll_Reactor.cpp
 g++ -DHAVE_CONFIG_H -I. -I../../ace -I. -I../.. -I.. -DACE_HAS_ACE_TOKEN -DACE_HAS_ACE_SVCCONF -DACE_BUILD_DLL -W -Wall -Wpointer-arith -g -O2 -pthreads -pipe -c ../../ace/Dev_Poll_Reactor.cpp -Wp,-MD,.deps/libACE_la-Dev_Poll_Reactor.TPlo  -fPIC -DPIC -o .libs/libACE_la-Dev_Poll_Reactor.o
In file included from /usr/include/sys/devpoll.h:11,
                 from ../../ace/Dev_Poll_Reactor.cpp:20:
/usr/include/sys/poll_impl.h:267: parse error before `}'
make[3]: *** [libACE_la-Dev_Poll_Reactor.lo] Error 1
make[3]: Leaving directory `/usr/ACE_5.4.4/ACE_wrappers/build/ace'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/ACE_5.4.4/ACE_wrappers/build/ace'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/ACE_5.4.4/ACE_wrappers/build/ace'
make: *** [all-recursive] Error 1

    REPEAT BY: NA
    SAMPLE FIX/WORKAROUND: NA

Thanks in advance for all the help.

Regards,

--Virat.



--------------------------------------------
Virat Patel
Motorola - GTSS
UMTS Test Tools Group
Ph: 847 632 5110 ; Cell Phone: 847 668 7851
Fax: 847 435 0019; Pager-Email: 8476687851@tmomail.net
Email: Virat.Patel@motorola.com
--------------------------------------------


0
Patel
3/24/2005 9:42:57 PM
comp.soft-sys.ace 20326 articles. 1 followers. marlow.andrew (167) is leader. Post Follow

0 Replies
563 Views

Similar Articles

[PageSpeed] 24

Reply:

Similar Artilces:

RE: [ace-users] Build errors while making ACE 5.4.4 on Solaris 8
This has been fixed for the next beta. -Steve -- Steve Huston, Riverace Corporation Adding Service to Open Source Software ACE book info at http://www.riverace.com/acebooks/ > -----Original Message----- > From: owner-ace-users@cse.wustl.edu > [mailto:owner-ace-users@cse.wustl.edu] On Behalf Of Patel > Virat-VPATEL4 > Sent: Thursday, March 24, 2005 4:31 PM > To: ace-users (E-mail) > Subject: [ace-users] Build errors while making ACE 5.4.4 on Solaris 8 > > > ACE VERSION: 5.4.4 > > HOST MACHINE and OPERATING SYSTEM: > Sun Netra T1 and Solaris 8 > > TARGET MACHINE and OPERATING SYSTEM, if different from HOST: > COMPILER NAME AND VERSION (AND PATCHLEVEL): g++ 2.95.3 20010315 > > CONTENTS OF $ACE_ROOT/ace/config.h: see attached > > CONTENTS OF > $ACE_ROOT/include/makeinclude/platform_macros.: Not Present > > CONTENTS OF $ACE_ROOT/ /default.features > (used by MPC when you generate your own makefiles):see attached > > AREA/CLASS/EXAMPLE AFFECTED: Dev_Poll_Reactor.cpp > > > DOES THE PROBLEM AFFECT: > COMPILATION? ACE does not build > LINKING? > EXECUTION? > OTHER (please specify)? >...

RE: [ace-users] Build errors while making ACE 5.4.4 on Solaris 8 #2
What are my options? how do i go about building now! Is this problem only with Solaris 8? Thanks! -----Original Message----- From: Steve Huston [mailto:shuston@riverace.com] Sent: Thursday, March 24, 2005 3:50 PM To: Patel Virat-VPATEL4; 'ace-users \(E-mail\)' Subject: RE: [ace-users] Build errors while making ACE 5.4.4 on Solaris 8 This has been fixed for the next beta. -Steve -- Steve Huston, Riverace Corporation Adding Service to Open Source Software ACE book info at http://www.riverace.com/acebooks/ > -----Original Message----- > From: owner-ace-users@cse.wustl.edu > [mailto:owner-ace-users@cse.wustl.edu] On Behalf Of Patel > Virat-VPATEL4 > Sent: Thursday, March 24, 2005 4:31 PM > To: ace-users (E-mail) > Subject: [ace-users] Build errors while making ACE 5.4.4 on Solaris 8 > > > ACE VERSION: 5.4.4 > > HOST MACHINE and OPERATING SYSTEM: > Sun Netra T1 and Solaris 8 > > TARGET MACHINE and OPERATING SYSTEM, if different from HOST: > COMPILER NAME AND VERSION (AND PATCHLEVEL): g++ 2.95.3 20010315 > > CONTENTS OF $ACE_ROOT/ace/config.h: see attached > > CONTENTS OF > $ACE_ROOT/include/makeinclude/platform_macros.: Not Present > > CONTENTS OF $ACE_ROOT/ /defa...

RE: [ace-users] Build errors while making ACE 5.4.4 on Solaris 8 #2
You can: 1. Use the traditional build procedure in ACE-INSTALL.html 2. Get the latest CVS sources via anonymous CVS (I'm not sure how... You should search the archives for it) and try again I recommend #1... -Steve -- Steve Huston, Riverace Corporation Adding Service to Open Source Software ACE book info at http://www.riverace.com/acebooks/ > -----Original Message----- > From: Patel Virat-VPATEL4 [mailto:Virat.Patel@motorola.com] > Sent: Thursday, March 24, 2005 4:56 PM > To: 'Steve Huston'; 'ace-users \(E-mail\)' > Subject: RE: [ace-users] Build errors while making ACE 5.4.4 > on Solaris 8 > > > What are my options? how do i go about building now! Is this > problem only with Solaris 8? > > Thanks! > > -----Original Message----- > From: Steve Huston [mailto:shuston@riverace.com] > Sent: Thursday, March 24, 2005 3:50 PM > To: Patel Virat-VPATEL4; 'ace-users \(E-mail\)' > Subject: RE: [ace-users] Build errors while making ACE 5.4.4 > on Solaris > 8 > > > This has been fixed for the next beta. > > -Steve > > -- > Steve Huston, Riverace Corporation > Adding Service to Open Source Software > A...

RE: [ace-users] Build errors while making ACE 5.4.4 on Solaris 8 #2
Thanks!! traditional build procedure worked. -----Original Message----- From: Steve Huston [mailto:shuston@riverace.com] Sent: Thursday, March 24, 2005 4:21 PM To: Patel Virat-VPATEL4; 'ace-users \\\(E-mail\\\)' Subject: RE: [ace-users] Build errors while making ACE 5.4.4 on Solaris 8 You can: 1. Use the traditional build procedure in ACE-INSTALL.html 2. Get the latest CVS sources via anonymous CVS (I'm not sure how... You should search the archives for it) and try again I recommend #1... -Steve -- Steve Huston, Riverace Corporation Adding Service to Open Source Software ACE book info at http://www.riverace.com/acebooks/ > -----Original Message----- > From: Patel Virat-VPATEL4 [mailto:Virat.Patel@motorola.com] > Sent: Thursday, March 24, 2005 4:56 PM > To: 'Steve Huston'; 'ace-users \(E-mail\)' > Subject: RE: [ace-users] Build errors while making ACE 5.4.4 > on Solaris 8 > > > What are my options? how do i go about building now! Is this > problem only with Solaris 8? > > Thanks! > > -----Original Message----- > From: Steve Huston [mailto:shuston@riverace.com] > Sent: Thursday, March 24, 2005 3:50 PM > To: Patel Virat-VPATEL4; 'ace-users \(E-ma...

[ace-bugs] Re: [ace-users] [build]: make error with 5.4.4
Hi Paul, Please see the following posting from Steve Huston: ---------------------------------------- From: "Steve Huston" <shuston@riverace.com> -(1) [1] RE: [ace-users] [build]: make error with 5.4.4 -(1) Date: Mon Apr 18 14:29:04 CDT 2005 -[1] Organization: Washington University in St. Louis Lines: 163 Mime-Version: 1.0 Content-Type: text/plain + charset="us-ascii" X-Trace: newsreader.wustl.edu 1113852545 2467 128.252.166.5 (18 Apr 2005 19:29:05 GMT) X-Complaints-To: usenet@newsreader.wustl.edu NNTP-Posting-Date: Mon, 18 Apr 2005 19:29:05 +0000 (UTC) Summary: Gatewayed from ace-bugs@cs.wustl.edu (sequence #0) Hi Paul, Thanks for the PRF! This is fixed in ACE 5.4.5, to be available in the next week or so. -Steve ---------------------------------------- ACE 5.4.5 will be released shortly. If you'd like a preview, please see http://cvs.doc.wustl.edu/ Thanks, Doug In article <CB50C75AA881904C95E0C87E1123B56F050A85A7@EMACROEXC00V1.emea.bankofamerica.com> you write: >> > From: Johnny Willemsen [mailto:jwillemsen@remedy.nl] >> >> [snip] >> >> > Could you please tell us the exact compiler version you are >> > using and give the full compile command tha...

RE: [ace-users] ACE 5.4 build errors on Solaris 8
Hi Srujan, > I was trying to build ACE5.4 on Solaris 8 and got some errors. Ok - please use the PROBLEM-REPORT-FORM whenever reporting or asking any ACE question. > Can someone please help. The errors are in the attached zip file. > > ACE 'configure' Script Information > ================================== > RCS configure.ac,v 4.13 2004/01/13 21:34:39 ossama Exp Autoconf support was not good in that version.... Please use the traditional build method detailed in ACE-INSTALL.html as well as APG chapter 2. Best regards, -Steve -- Steve Huston, Riverace Corporation Adding Service to Open Source Software ACE book info at http://www.riverace.com/acebooks/ ...

[ace-users] ACE 5.4.4 LynxOS 4.0 build error
ACE VERSION: 5.4.4 HOST MACHINE and OPERATING SYSTEM: LynxOS4.0.0 LynxOS4.0.0 TARGET MACHINE and OPERATING SYSTEM, if different from HOST: COMPILER NAME AND VERSION (AND PATCHLEVEL): GNU make - version 3.79.1 THE $ACE_ROOT/ace/config.h FILE [if you use a link to a platform- specific file, simply state which one]: #include "ace/config-lynxos.h" THE $ACE_ROOT/include/makeinclude/platform_macros.GNU FILE [if you use a link to a platform-specific file, simply state which one (unless this isn't used in this case, e.g., with Microsoft Visual C++)]: exceptions=1 include $(ACE_ROOT)/include/makeinclude/platform_lynxos.GNU CONTENTS OF $ACE_ROOT/bin/MakeProjectCreator/config/default.features (used by MPC when you generate your own makefiles): AREA/CLASS/EXAMPLE AFFECTED: [What example failed? What module failed to compile?] DOES THE PROBLEM AFFECT: COMPILATION? LINKING? On Unix systems, did you run make realclean first? EXECUTION? OTHER (please specify)? [Please indicate whether ACE, your application, or both are affected.] compile error SYNOPSIS: [Brief description of the problem] GNUmakefile: /usr/vl/ACE_wrappers/ACE_wrappers/ace/GNUmakefile.ACE MAKEFLAGS= GNUmakefile: /usr/vl/ACE_wrappers/ACE_wrappers/ace/RMCast/GNUmakefile.RMCast MAKEFLAGS= This project will not be built due to one of the following missing features: ssl GNUmakefile: /usr/vl/ACE_wrappers/ACE_wrappers/ace/SSL/GNUmakefile.SSL MAKEFLAGS= This proje...

[ace-users] FW: ACE 5.4.4 LynxOS 4.0 build error
> ACE VERSION: 5.4.4 > HOST MACHINE and OPERATING SYSTEM: > LynxOS4.0.0 > LynxOS4.0.0 > TARGET MACHINE and OPERATING SYSTEM, if different from HOST: COMPILER NAME AND VERSION (AND PATCHLEVEL): > GNU make - version 3.79.1 > THE $ACE_ROOT/ace/config.h FILE [if you use a link to a platform- specific file, simply state which one]: > #include "ace/config-lynxos.h" > THE $ACE_ROOT/include/makeinclude/platform_macros.GNU FILE [if you use a link to a platform-specific file, simply state which one (unless this isn't used in this case, e.g., with Microsoft Visual C++)]: > ssl=1 > threads=1 > exceptions=1 > include $(ACE_ROOT)/include/makeinclude/platform_lynxos.GNU > CONTENTS OF $ACE_ROOT/bin/MakeProjectCreator/config/default.features (used by MPC when you generate your own makefiles): > AREA/CLASS/EXAMPLE AFFECTED: [What example failed? What module failed to compile?] > DOES THE PROBLEM AFFECT: COMPILATION? LINKING? On Unix systems, did you run make realclean first? EXECUTION? OTHER (please specify)? [Please indicate whether ACE, your application, or both are affected.] > compile error > SYNOPSIS: [Brief description of the problem] > GNUmakefile: /usr/vl/ACE_wrappers/ACE_wrappers/ace/GNUmakefile.ACE MAKEFLAGS= > > > GNUmakefile: /usr/vl/ACE_wrappers/ACE_wrappers/ace/RMCast/GNUmakefile.RMCast MAKEFLAGS= > > > GNUmakefile: /usr/vl/ACE_wrappers...

Re: [ace-users] ACE 5.4.4 LynxOS 4.0 build error
Hi Olli, Can you please shed any light onto the following questions? Thanks, Doug >> ACE VERSION: 5.4.4 >> HOST MACHINE and OPERATING SYSTEM: >> LynxOS4.0.0 >> LynxOS4.0.0 >> TARGET MACHINE and OPERATING SYSTEM, if different from HOST: COMPILER NAME AND VERSION (AND PATCHLEVEL): >> GNU make - version 3.79.1 >> THE $ACE_ROOT/ace/config.h FILE [if you use a link to a platform- specific file, simply state which one]: >> #include "ace/config-lynxos.h" >> THE $ACE_ROOT/include/makeinclude/platform_macros.GNU FILE [if you use a link to a platform-specific file, simply state which one (unless this isn't used in this case, e.g., with Microsoft Visual C++)]: >> exceptions=1 >> include $(ACE_ROOT)/include/makeinclude/platform_lynxos.GNU >> CONTENTS OF $ACE_ROOT/bin/MakeProjectCreator/config/default.features (used by MPC when you generate your own makefiles): >> AREA/CLASS/EXAMPLE AFFECTED: [What example failed? What module failed to compile?] >> DOES THE PROBLEM AFFECT: COMPILATION? LINKING? On Unix systems, did you run make realclean first? EXECUTION? OTHER (please specify)? [Please indicate whether ACE, your application, or both are affected.] >> compile error >> SYNOPSIS: [Brief description of the problem] >> >> GNUmakefile: /usr/vl/ACE_wrappers/ACE_wrappers/ace...

[ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86
Hi,all ACE VERSION: 5.4.3 HOST MACHINE and OPERATING SYSTEM: Solaris10 X86 TARGET MACHINE and OPERATING SYSTEM, if different from HOST: COMPILER NAME AND VERSION (AND PATCHLEVEL): Compiler: SUN CC 5.6 Make: GNU make 3.80 CONTENTS OF $ACE_ROOT/ace/config.h [if you use a link to a platform- specific file, simply state which one]: #include "ace/config-sunos5.9.h" CONTENTS OF $ACE_ROOT/include/makeinclude/platform_macros.GNU (unless this isn't used in this case, e.g., with Microsoft ...

[ace-users] FW: FW: ACE 5.4.4 LynxOS 4.0 build error
I tried upgrading to 5.4.5 and still have the same issue. Christine -----Original Message----- From: Olli Savia [mailto:ops@iki.fi] Sent: Saturday, May 14, 2005 1:46 PM To: Ballard, Christine Subject: Re: FW: ACE 5.4.4 LynxOS 4.0 build error Hi I recommend upgrading to ACE 5.4.5 and see if your problem is fixed. Thanks, Olli Ballard, Christine wrote: >>ACE VERSION: 5.4.4 >>HOST MACHINE and OPERATING SYSTEM: >> LynxOS4.0.0 >> LynxOS4.0.0 >>TARGET MACHINE and OPERATING SYSTEM, if different from HOST: COMPILER NAME AND VERSION (AND PATCHLEVEL): >> GNU make - version 3.79.1 >>THE $ACE_ROOT/ace/config.h FILE [if you use a link to a platform- specific file, simply state which one]: >>#include "ace/config-lynxos.h" >>THE $ACE_ROOT/include/makeinclude/platform_macros.GNU FILE [if you use a link to a platform-specific file, simply state which one (unless this isn't used in this case, e.g., with Microsoft Visual C++)]: >>ssl=1 >>threads=1 >>exceptions=1 >>include $(ACE_ROOT)/include/makeinclude/platform_lynxos.GNU >>CONTENTS OF $ACE_ROOT/bin/MakeProjectCreator/config/default.features (used by MPC when you generate your own makefiles): >>AREA/CLASS/EXAMPLE AFFECTED: [What example failed? What module failed to compile?] >>DOES THE PROBLEM AFFECT: COMPILATION? LINKING? On Unix systems, did you run make realclean f...

[ace-users] Error compiling ACE 5.4 in Solaris 5.8
ACE VERSION: 5.4 HOST MACHINE and OPERATING SYSTEM: SunOS ultra 5.8 Generic_108528-13 sun4u sparc SUNW,Ultra-5_10 Reading specs from /local/bin/../lib/gcc/sparc-sun-solaris2.8/3.4.0/specs Configured with: ../configure --with-as=/usr/ccs/bin/as --with-ld=/usr/ccs/bin/ld --disable-nls Thread model: posix gcc version 3.4.0 GNU Make 3.80 TARGET MACHINE and OPERATING SYSTEM, if different from HOST: COMPILER NAME AND VERSION (AND PATCHLEVEL): The same CONTENTS OF $ACE_ROOT/ace/config.h: #include "ace/config-sunos5.8.h" CONTENTS OF $ACE_ROOT/include/makeinclude/platform_macros.GNU (unless this isn't used in this case, e.g., with Microsoft Visual C++): include $(ACE_ROOT)/include/makeinclude/platform_sunos5_g++.GNU AREA/CLASS/EXAMPLE AFFECTED: make -f Makefile SUBDIR_TARGET=all ace.subdir ACEXML.subdir netsvcs.subdir tests.subdir apps.subdir examples.subdir performance-tests.subdir websvcs.subdir Kokyu.subdir make[1]: Entering directory `/usr/fborja/ACE54/ACE_wrappers' make -f Makefile -C ace all make[2]: Entering directory `/usr/fborja/ACE54/ACE_wrappers/ace' make[3]: Entering directory `/usr/fborja/ACE54/ACE_wrappers/ace' Makefile: /usr/fborja/ACE54/ACE_wrappers/ace/Makefile.ace g++ -W -Wall -Wpointer-arith -pipe -O3 -g -fno-exceptions -fcheck-new -D_REENTRANT -I/usr/fborja/ACE54/ACE_wrappers -D__ACE_INLINE__ -DACE_BUILD_DLL -DACE_OS_BUILD_D...

[ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86 #2
Hi, ACE VERSION: 5.4.3 HOST MACHINE and OPERATING SYSTEM: Solaris 10 x86 TARGET MACHINE and OPERATING SYSTEM, if different from HOST: COMPILER NAME AND VERSION (AND PATCHLEVEL): Sun Studio 9 (Sun CC 5.6) CONTENTS OF $ACE_ROOT/ace/config.h [if you use a link to a platform- specific file, simply state which one]: #define ACE_HAS_STANDARD_CPP_LIBRARY 1 #define ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB 1 #include "ace/config-sunos5.9.h" CONTENTS OF $ACE_ROOT/include/makeinclude/platform_macros.GNU (unless ...

Re: [ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86
Hi, >> ACE VERSION: 5.4.3 Thakns for using the PRF! >> HOST MACHINE and OPERATING SYSTEM: >> Solaris10 X86 We (i.e., the DOC groups at UCI/VU/WU) don't have Solaris running on an x86 box (yet). It would therefore be great if you could figure out what patches need to be applied so that ACE compiles properly on this platform. BTW, Kitty/Bala, weren't we planning on running Solaris on an AMD box at some point? Thanks, Doug >> TARGET MACHINE and OPERATING SYSTEM, if different from HOST: >> COMPIL...

[ace-users] Re: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86
Hi Jin, >> The solaris 9/10 for sparc is not the same as solaris 9/10 for >> Intel X86,although it is almost free,and the SunStudio 9 (CC >> 5.6)for sparc is not the same as SunStudio 9(CC 5.6) for Intel X86. This is yet one more reason why you'll need to do the legwork on this. Please let us know what you find out. Thanks, Doug -- Dr. Douglas C. Schmidt, Professor TEL: (615) 343-8197 Electrical Engineering and Computer Science FAX: (615) 343-7440 Vanderbilt University WEB: www.cs.wustl.edu/~schmidt/ Nashvil...

[ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86 #2
Hi,all I rebuild the ACE package according the instruction above,but get the same result. my platform_macros.GNU file has the following lines: templates = implicit include $(ACE_ROOT)/include/makeinclude/platform_sunos5_sunc++.GNU When i rebuild the ACE library,get the following compile errors: $ make inline=0 -j 2 -k -f GNUmakefile.ACE .... .... CC -mt -g -DSUN_CC_HAS_PVFC_BUG -I/export/home/hua/DevTools/ACE_wrappers -DACE_HAS_EXCEPTIONS -DACE_NO_INLINE -I.. -DACE_HAS_ACE_TOKEN -DACE_HAS_ACE_SVCCONF -DACE_BUILD_DLL -c -KPIC -o .shobj/OS_NS_sys_stat.o OS_NS_sys_...

Re: [ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86 #2
Hi > > ACE VERSION: 5.4.3 > > > > HOST MACHINE and OPERATING SYSTEM: > > Solaris10 X86 > > TARGET MACHINE and OPERATING SYSTEM, if different from HOST: > > COMPILER NAME AND VERSION (AND PATCHLEVEL): > > Compiler: SUN CC 5.6 ^^^^^^^^^^^^^^^^^^^^^^^^ I don't think the DOC group supports this compiler anymore.. More particularly this compiler is buggy and you may land up with unresolved symbols even if you get past this part. My $0.02. Thanks Bala > > Make: ...

RE: [ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86 #2
> Ok. Steve, could you maybe make clear with the build names > which builds use explicit templates? I'll try to get this clarified. > Explicit templates in TAO are known to be broken at this > moment. None of the tests at Riverace try to build TAO. -Steve ...

RE: [ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86 #2
> > Ok, the problem is in platform_sunos5_sunc++.GNU, when a > not known forte > > version is found, it defaults to explicit. I am updating > right now, for 4.2 > > and 5.3 we default to explicit, for all others to implicit This sounds good. > Is this necessary? I mean make it implicit by default. The > explicit is > not even supported, and has no chance to work cleanly. Why > should we patch > broken stuff. Just a thought? At least for ACE 5.5, Riverace supports the Forte compiler that requires explicit. After that, we can drop it....

RE: [ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86 #2
Hi Steve, > > Is this necessary? I mean make it implicit by default. The > > explicit is > > not even supported, and has no chance to work cleanly. Why > > should we patch > > broken stuff. Just a thought? > > At least for ACE 5.5, Riverace supports the Forte compiler that > requires explicit. After that, we can drop it. Ok. Steve, could you maybe make clear with the build names which builds use explicit templates? Explicit templates in TAO are known to be broken at this moment. Johnny ...

RE: [ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86 #2
Hi, > > > ACE VERSION: 5.4.3 > > > > > > HOST MACHINE and OPERATING SYSTEM: > > > Solaris10 X86 > > > TARGET MACHINE and OPERATING SYSTEM, if different from HOST: > > > COMPILER NAME AND VERSION (AND PATCHLEVEL): > > > Compiler: SUN CC 5.6 > ^^^^^^^^^^^^^^^^^^^^^^^^ > > I don't think the DOC group supports this compiler anymore.. More > particularly this compiler is buggy and you may land up with > unresolved > symbols even if you get past this pa...

Re: [ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86 #2
Johnny- > Ok, the problem is in platform_sunos5_sunc++.GNU, when a not known forte > version is found, it defaults to explicit. I am updating right now, for 4.2 > and 5.3 we default to explicit, for all others to implicit Is this necessary? I mean make it implicit by default. The explicit is not even supported, and has no chance to work cleanly. Why should we patch broken stuff. Just a thought? > Qinghuajin and other Forte 9 users, you can work around this by added the > following line to your platform_macros.GNU file. > templates = implicit This is until w...

Re: [ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86 #2
Hi Jin, Thanks for using the PRF. >> ACE VERSION: 5.4.3 >> >> HOST MACHINE and OPERATING SYSTEM: >> Solaris 10 x86 >> >> TARGET MACHINE and OPERATING SYSTEM, if different from HOST: >> COMPILER NAME AND VERSION (AND PATCHLEVEL): >> Sun Studio 9 (Sun CC 5.6) As we've mentioned several times now, we don't have this compiler installed yet on this hardware platform, so if you want things to be fixed soon I recommend you figure out what's going wrong and send us the patches. Otherwise, pl...

Re: [ace-users]: ACE 5.4.2 and ACE 5.4.3 compile failed on Solaris 9 x86 and Solaris 10 x86 #2
Johnny- > > > > ACE VERSION: 5.4.3 > > > > > > > > HOST MACHINE and OPERATING SYSTEM: > > > > Solaris10 X86 > > > > TARGET MACHINE and OPERATING SYSTEM, if different from HOST: > > > > COMPILER NAME AND VERSION (AND PATCHLEVEL): > > > > Compiler: SUN CC 5.6 > > ^^^^^^^^^^^^^^^^^^^^^^^^ > > > > I don't think the DOC group supports this compiler anymore.. More > > particularly this compiler is buggy and you may land up with ...

Web resources about - [ace-users] Build errors while making ACE 5.4.4 on Solaris 8 - comp.soft-sys.ace

Samsung Galaxy Ace 4 User Reviews
Samsung Galaxy Ace 4 reviews written by Phone Arena users. You can read the opinion of each user and how they rate the phone in 11 categories. ...

Samsung Galaxy Ace 3 official: iPhone-alike size for the new user
Samsung has revealed another in its Galaxy series, the Galaxy Ace 3, now targeting entry-level smartphone users who want a pocket-friendly 4-inch ...

Resources last updated: 3/5/2016 5:34:43 PM